<!-- markdownlint-disable -->

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/__init__.py#L0"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

# <kbd>module</kbd> `concrete.fhe`
Concrete. 

**Global Variables**
---------------
- **dtypes**
- **internal**
- **values**
- **representation**
- **tracing**
- **mlir**
- **extensions**
- **compilation**
- **DEFAULT_GLOBAL_P_ERROR**
- **DEFAULT_P_ERROR**
- **MAXIMUM_TLU_BIT_WIDTH**
- **version**


